Subject: WP: Workspaces IRRE & MM bugfixes
Description

The import and export functionality is available since the beginning of TYPO3 CMS. This backend module mostly relies on the
internal DataHandler/TCEMain system of TYPO3. For TYPO3 6.2 LTS, the Core Team needs to improve the handling of the IRRE and
MM relations within the import and export process.
Additionally, the import / export module must be able to handle exports which were generated in a pre-FAL-version of TYPO3 (e.g. like
the last LTS Version 4.5) in order to be able to import directly to the FAL.
Since importing and exporting large sites via a web-backend leads to problems in runtime and memory limits, a CLI Module must be
added.

Recent development can be found here:
https://github.com/ohader/TYPO3.CMS/commits/integration (integration branch)
https://github.com/ohader/TYPO3.CMS/commits/bugfixes (development branch)

Subtasks:
Story # 54852: As a developer I want to ensure that further changes in DataHandler have... Closed
Story # 54853: As a user I want to correctly create, modify, preview and publish IRRE &... Accepted
  Task # 45214: Problems on publishing complex IRRE structure On Hold
  Task # 41713: Consider localizeReferencesAtParentLocalization for group/db Under Review
  Task # 43210: Resolving element dependencies does not work on deleted child records Closed
  Task # 45148: show_item does not consider workspace references Accepted
  Task # 54956: Invalid workspace image preview in page and list module Closed
  Task # 56061: Introduce MM_oppositeUsage property Resolved
  Task # 56122: Use MM_oppositeUsage for category relations Resolved
  Task # 55573: Failing moveContentRecordToDifferentPageAndChangeSorting Resolved
  Task # 56376: Invalid relations of IRRE records in workspaces Resolved
    Task # 29278: Lost relations on copying IRRE children in workspaces Rejected
    Task # 45132: Faulty translation behavior of IRRE using workspaces Rejected
    Task # 45676: Workspace references are not considered Rejected
    Task # 45151: IRRE 1n:csv parent records point to workspace placeholder Rejected
    Task # 56977: Save current workspace in ReferenceIndex Resolved
    Task # 56994: Introduce shadowColumnsForMovePlaceholders property Resolved
    Task # 45133: New IRRE parent-child-structures are not removed Closed
  Task # 56782: Failing group/select test changeElementSorting Resolved
  Task # 56393: creation on new pages have broken permissions (perms_groupid set wrong) Resolved
  Task # 57168: Enable queries using "root" and "-1" for pidInList Resolved
  Task # 57169: Invalid relations of MM records in workspaces Resolved
  Task # 57231: Refactor element dependency resolving Resolved
  Task # 56059: Category localization cannot be rendered Resolved
Story # 54854: As an editor I want to use a more intuitive workspace module Accepted
  Task # 49689: Use alternative selector for many workspaces Resolved
  Task # 55349: Visualize nested data structures in workspace module Resolved
Epic # 55064: WP: Workspaces test cases / DataHandler bugfixes Accepted
  Task # 55217: Implement functional test-suite for workspaces Closed
  Task # 54812: Add functional tests from irre_tutorial to the core Resolved
  Task # 54855: Add functional test cases to DataHandler for regular live editing Resolved
  Bug # 54857: Test extensions are not considered in functional test cases Resolved
  Task # 55563: Add functional test cases to DataHandler for regular workspace editing Resolved
  Task # 55882: Add framework for frontend rendering functional tests Resolved
  Task # 56072: Extend DataHandler IRRE functional tests Resolved
  Task # 56104: Enable DataHandler frontend rendering tests Resolved
  Bug # 56111: Discard vs. Delete workspace changes in tests Resolved
  Task # 56143: Integrate IRRE CSV Functional Tests Resolved
  Bug # 56161: Parent localization pointer missing in IRRE tests Resolved
  Task # 56179: Add functional tests for discarding created elements Resolved
  Task # 56177: Windows issues with long CSV file name from commit 2db3d30 Resolved
  Bug # 56244: Missing move placeholders in irre_tutorial tests Resolved
  Task # 56369: Add possibility to assert error log entries Resolved
  Bug # 56374: Unnatural processing order in IRRE tests Resolved
  Task # 56707: Add functional tests for TCA types select and group/db Resolved
  Task # 56708: Add Publish and PublishAll DataHandler workspaces tests Resolved
    Task # 56710: Add sys_refindex table to functional action tests Resolved
  Bug # 56729: Use clean DataHandler for each functional test action Resolved
  Bug # 56806: Split functional workspaces DataHandling test execution Resolved
  Bug # 56819: Missing localizeChildrenAtParentLocalization for CSV tests Resolved
  Task # 57014: Enrich many-to-many functional tests in live workspace Resolved
  Task # 57030: Add ManyToMany copyPage functional test Resolved
  Bug # 54849: Functional tests cannot write to backend log Resolved
  Task # 55879: Enable additional configuration in functional tests Closed
Related issues:
related to Core - Epic # 58282: Workspaces Workpackage #2 Accepted 2012-03-26

History
#1 - 2014-01-08 22:08 - Oliver Hader
- Status changed from New to Accepted

#2 - 2014-01-08 22:11 - Oliver Hader
- Target version set to 6.2.0

#3 - 2014-01-08 22:11 - Oliver Hader
- Category set to Workspaces

#4 - 2014-01-08 22:12 - Oliver Hader
- Subject changed from DataHandler IRRE & MM bugfixes to Workspaces IRRE & MM bugfixes

#5 - 2014-01-16 16:26 - Ingo Schmitt
- Subject changed from Workspaces IRRE & MM bugfixes to WP: Workspaces IRRE & MM bugfixes
- Parent task set to #55070

#6 - 2015-01-23 11:33 - Mathias Schreiber
- Target version changed from 6.2.0 to 7.5
